# Packages

## Get all packages

<mark style="color:blue;">`GET`</mark> `https://plugin.tebex.io/packages`

{% hint style="danger" %}
This endpoint is deprecated so we've removed the associated documentation. If you'd like to display categories or products in game, please use the [Headless API](https://app.gitbook.com/s/aRz9HUAxrYuZsSDWhYnu/headless-api).
{% endhint %}

## Retrieve a package

<mark style="color:blue;">`GET`</mark> `https://plugin.tebex.io/package/{package}`

{% hint style="danger" %}
This endpoint is deprecated so we've removed the associated documentation. If you'd like to display categories or products in game, please use the [Headless API](https://app.gitbook.com/s/aRz9HUAxrYuZsSDWhYnu/headless-api).
{% endhint %}

## Update a package

<mark style="color:orange;">`PUT`</mark> `https://plugin.tebex.io/package/{package}`

Update a package on your webstore.

#### Path Parameters

| Name    | Type   | Description          |
| ------- | ------ | -------------------- |
| package | string | The ID of a package. |

#### Headers

| Name           | Type   | Description                 |
| -------------- | ------ | --------------------------- |
| X-Tebex-Secret | string | The secret key of a server. |

#### Request Body

| Name     | Type    | Description                 |
| -------- | ------- | --------------------------- |
| disabled | boolean | If the package is disabled. |
| name     | string  | The name of the package.    |
| price    | integer | The price of the package.   |

{% tabs %}
{% tab title="204 " %}

```
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tebex.io/plugin/endpoints/packages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
